# PetscInfoActivateClass

Activates PlogInfo() messages for a PETSc object class.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscInfoActivateClass(int objclass)

Not Collective

### Input Parameter

objclass -The object class, e.g., MAT_COOKIE, SNES_COOKIE, etc.

### Notes

One can pass 0 to activate all messages that are not associated with an object.

### Keywords

allow, information, printing, monitoring

### See Also

PetscInfoDeactivateClass(), PetscInfo(), PetscInfoAllow()

Level:developer
Location: src/sys/verbose/verboseinfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages